Jdk 1.7 Mac Os X

1/6/2022by admin

I use Mac OS X 10.8.2, and use JDK 7. Now I downloaded the latest version of IDEA IntelliJ, 11. But it doesn’t seem to start without JDK 6. Is there any workaround?

  1. Jdk 1.7 Mac Os X 10.13
  2. Jdk 1.7 Download Mac Os X
  3. Java Jdk 1.7 Download For Mac Os X
  4. Jdk 1.7 Mac Os X 10.8

The -v argument tells javahome to return the path of the JDK with the supplied version, for example 1.7. We also update the PATH to point to the bin directory of the newly found JAVAHOME directory. At the end we can simply execute the function using. Setjdk 1.7 which selects the latest installed JDK version of the 1.7 branch. Mac OS X Version 10.6 and below. Use Software Update available on the Apple menu to check that you have the most up-to-date version of Java 6 for your Mac. Java 7 and later versions are not supported by these older versions of Mac OS X. If you have problems with Java 6, contact Apple Technical Support. Jdk 7 free download - OpenJDK 7 for OS X Lion, Adobe Flash Player, Easy Duplicate Finder 7 Mac, and many more programs. Jdk 1 7 free download - PDF Reader for Windows 7, Apple Safari, Windows 7 (Professional), and many more programs.

How can I run IDEA IntelliJ on Mac OS X with JDK 7?

Java SE 7 Archive Downloads. Go to the Oracle Java Archive page. Thank you for downloading this release of the Java TM Platform, Standard Edition Development Kit (JDK TM).The JDK is a development environment for building applications, applets, and components using the Java programming language.

Answers:

UPDATE:

Download

Jdk 1.7 Mac Os X 10.13

When running IDEA 12 on JDK 1.7 (after changing JVMVersion to 1.7* in Info.plist) make sure you have LANG=en_US.UTF-8 in your environment, see the related Java issues:

Refer to this thread for debugging launcher issues.

Please also be aware that GUI applications on Mac have no access to your Terminal environment. If you’ve defined some environment variables that work fine in Terminal, other applications that you run not from the Terminal will not see these variables. A workaround for this problem is to start the application directly from the Terminal, for IDEA the following command can be used:

There are known issues with JDK 1.7 support on Mac right now, like missing Retina support, possible flicker, some APIs not implemented. It’s highly recommended to run IDEA under JDK 1.6 for the best experience on Mac. It doesn’t stop you from using JDK 1.7 as a target for building and running your projects.

IntelliJ IDEA 11 launcher will not work with JDK 1.7 on Mac.
At the moment you must have JDK 1.6 installed so that you can run IDEA 11 and older versions.

Answers:

Mac OSX Yosemite / El Capitan Update

I have IntelliJ 15 Ultimate installed, and I received this same message.
I also have Java 1.7 and 1.8 installed.

I solved it using the following steps in a terminal:

Edited the Info.plist file, and changed this bit:

to:

After launching, everything was golden.

Jdk 1.7 Download Mac Os X

Answers:

With IntelliJ 13 and OS X 10.9, I can just change the plist to 1.7* and it works on Java 7 without prompting for the Java 6 install.

Answers:

For those who still getting error message that Java 6 must be installed. There are two problems with that:

  1. Mac OS wants jdk 1.6 to be installed whenever application Info.plist file contains Java section
  2. Java launcher shipped with IntelliJ also wants jdk 1.6 badly

All you need is:

  1. Replace original launcher (Contents/MacOS/idea) with shell script with explicit java invocation (parameters and classpath can be taken from Info.plist’s Java section).
  2. Remove “Java” section from Info.plist

Or you can use this https://github.com/wonder-mice/mac-java-launcher that automate things and I believe will work not only with IntelliJ.

Answers:

Others have suggested very good solutions but you have to do it manually vi editor etc. Instead you can run this command via your Mac Terminal and you will be good to go :

Java Jdk 1.7 Download For Mac Os X

Few optional tips:

Jdk 1.7 mac os xcode

Jdk 1.7 Mac Os X 10.8

  1. If you have JDK 1.8 installed then simply replace the 1.7 with 1.8 in above command.
  2. As always make a copy of your Info.plist in a folder just in case if you want to compare the result or revert it back for one reason or another.
  3. To verify that the change took place run this:

    • grep 'string>1.7' /Applications/IntelliJ*/*Contents/*Info.plist
Comments are closed.